List Server-Side Binary Files
curl --request GET \
--url https://app.papelship.com/api/qpapel/v1/serverside-files \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.papelship.com/api/qpapel/v1/serverside-files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/qpapel/v1/serverside-files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/qpapel/v1/serverside-files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/qpapel/v1/serverside-files"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": 8,
"user_id": 1,
"access_id": "583920194829",
"label": "Main Loader DLL",
"original_name": "core.dll",
"stored_name": "583920194829_core.dll",
"storage_path": "uploads/serverside-files/1/583920194829_core.dll",
"mime_type": "application/octet-stream",
"file_size": 1048576,
"file_hash": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
"status": "active",
"download_count": 142,
"last_downloaded": "2026-06-12T06:05:00.000Z",
"product_cheat_value": "cs2_cheat",
"force_key_check": true,
"force_encrypted_download": true,
"install_path": "C:\\ProgramData\\qPapel\\temp.dll"
}
]
}{
"success": false,
"error": "Unauthorized access. Valid API key required."
}Client Security & Anti-Cheat
List Server-Side Binary Files
List uploaded protected DLLs, binary segments, and asset files.
GET
/
serverside-files
List Server-Side Binary Files
